[vlc-commits] appleos/build: save one hierarchy level when building

Felix Paul Kühne git at videolan.org
Wed Jan 22 17:31:38 CET 2020


vlc | branch: master | Felix Paul Kühne <felix at feepk.net> | Wed Jan 22 15:54:05 2020 +0100| [d3614e5c033b6b2736795ae8371b7e4659539c61] | committer: Felix Paul Kühne

appleos/build: save one hierarchy level when building

> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=d3614e5c033b6b2736795ae8371b7e4659539c61
---

 extras/package/apple/build.sh | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/extras/package/apple/build.sh b/extras/package/apple/build.sh
index 70015b3f5d..79c73b3971 100755
--- a/extras/package/apple/build.sh
+++ b/extras/package/apple/build.sh
@@ -612,13 +612,13 @@ if ! [ -e configure ]; then
 fi
 
 # Build
-mkdir -p "${VLC_BUILD_DIR}/build/${VLC_PSEUDO_TRIPLET}"
-cd "${VLC_BUILD_DIR}/build/${VLC_PSEUDO_TRIPLET}" || abort_err "Failed cd to VLC build dir"
+mkdir -p "${VLC_BUILD_DIR}/build"
+cd "${VLC_BUILD_DIR}/build" || abort_err "Failed cd to VLC build dir"
 
 # Create VLC install dir if it does not already exist
 mkdir -p "$VLC_INSTALL_DIR"
 
-../../../configure \
+../../configure \
     --with-contrib="$VLC_CONTRIB_INSTALL_DIR" \
     --host="$VLC_HOST_TRIPLET" \
     --prefix="$VLC_INSTALL_DIR" \
@@ -663,8 +663,8 @@ echo ""
 
 echo "Compile VLC static modules list object"
 
-mkdir -p "${VLC_BUILD_DIR}/build/${VLC_PSEUDO_TRIPLET}/build-sh"
-cd "${VLC_BUILD_DIR}/build/${VLC_PSEUDO_TRIPLET}/build-sh" \
+mkdir -p "${VLC_BUILD_DIR}/build/build-sh"
+cd "${VLC_BUILD_DIR}/build/build-sh" \
  || abort_err "Failed cd to VLC build-sh build dir"
 
 # Collect paths of all static libraries needed (plugins and contribs)
@@ -695,7 +695,7 @@ gen_vlc_static_module_list "${VLC_STATIC_MODULELIST_NAME}.c" "${VLC_PLUGINS_SYMB
 ${CC:-cc} -c  ${CFLAGS} "${VLC_STATIC_MODULELIST_NAME}.c" \
   || abort_err "Compiling module list file failed"
 
-echo "${VLC_BUILD_DIR}/build/${VLC_PSEUDO_TRIPLET}/build-sh/${VLC_STATIC_MODULELIST_NAME}.o" \
+echo "${VLC_BUILD_DIR}/build/build-sh/${VLC_STATIC_MODULELIST_NAME}.o" \
   >> "$VLC_STATIC_FILELIST_NAME"
 
 echo ""



More information about the vlc-commits mailing list